Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Class PropertyAccessor

    java.lang.Object
      org.apache.cayenne.reflect.PropertyAccessor

All Implemented Interfaces:
  Serializable, Accessor

    public class PropertyAccessor

extends Object
implements Accessor

A utility accessor class that wraps a simple property.

Since:
  3.0
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected Property` | `property`

Constructor Summary
`PropertyAccessor(Property property)`

Method Summary
`String` | `getName()` Returns property name.
`Object` | `getValue(Object object)` Returns a property value of an object without disturbing the object fault status.
`void` | `setValue(Object object, Object newValue)` Sets a property value of an object without disturbing the object fault status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected Property property

Constructor Detail

### PropertyAccessor

    public PropertyAccessor(Property property)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Accessor`
  Returns property name.

  Specified by:
    `getName` in interface `Accessor`

### getValue

    public Object getValue(Object object)
                    throws PropertyException

  Description copied from interface: `Accessor`
  Returns a property value of an object without disturbing the object fault status.

  Specified by:
    `getValue` in interface `Accessor`
  Throws:
    `PropertyException`

### setValue

    public void setValue(Object object,
                         Object newValue)
                  throws PropertyException

  Description copied from interface: `Accessor`
  Sets a property value of an object without disturbing the object fault status. Old value of the property is specified as a hint.

  Specified by:
    `setValue` in interface `Accessor`
  Throws:
    `PropertyException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.